Subject: Re: Updates for ERROR after WG last call

From: Mark Allman <[email-masked]>
Date: Fri, 15 Sep 2000 08:40:45 -0400

> Certainly there's a big, easily observed difference between older
> and newer (e.g., SACK) TCPs -- order of magnitude differences in
> delays to get good data through (Throughput).

I agree.

> So, the equation needs some TCP parameters and there needs to be a
> way for the user to decide how to set them, including the likely
> possibility for end-end mismatch in version.  This would qualify
> as a "first cut", in my opinion.

I disagree.  I don't think we need to make this all that
complicated.  I think it is enough to put the appropriate caveats
around the current TCP friendly equation.  It is true that the
equation does not model every TCP.  But it is a decent projection of
TCP as it is currently being deployed and will be even stronger in
the future as SACK-based stacks become even more prevelant (which is
the trend).

Is there a better way to give folks an idea about whether they
should consider their link ERRORed or not?

allman

---

From: Cannara <[email-masked]>
Date: Fri, 15 Sep 2000 10:48:37 -0700

Mark, I see what you're trying to accomplish and maybe the approach should be
to describe two possibilities:  a) newer transports that handle error loss
reasonably; and b) older TCPs that create large delays in retransmission.  You
needn't parameterize the quations beyond this.  Then emphasis should be on
what error rate is then 'bad' for each of these two situations, since there's
not one answer, even within a factor of 5.

Alex

---

From: Reiner Ludwig <[email-masked]>
Date: Sun, 17 Sep 2000 13:48:48 +0200

>should consider their link ERRORed or not?

I tried to formulate such a rule of thumb in the last three paragraphs of 
section 2.3.3 in my thesis: 
http://iceberg.cs.berkeley.edu/papers/Ludwig-Diss00/index.html

This might serve as a basis for discussing this further.

///Reiner